Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Xref Blöcke am Layout ausrichten?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Xref Blöcke am Layout ausrichten? (158 mal gelesen)
Burzum
Mitglied



Sehen Sie sich das Profil von Burzum an!   Senden Sie eine Private Message an Burzum  Schreiben Sie einen Gästebucheintrag für Burzum

Beiträge: 20
Registriert: 14.03.2018

Symbole verknpüfen

erstellt am: 26. Apr. 2020 15:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi 

folgendes Problem:
Ich binde zu meiner Zeichnung Y ein Grundriss X über XREF. Der Grundriss X hat Palmen als Blöcke. Wenn ich in meiner Zeichnung noch weitere Pflanzen hinzufüge und meine Zeichnung drehe, kann ich in meiner Zeichnung Y die Blöcke am layout orienterien so dass die immer senkrecht stehen,  wie kann ich aber die Palmen der Grundriss an meiner Layout ausrichten so dass die Palmen immer senkrecht stehen? 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3131
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 27. Apr. 2020 08:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Burzum 10 Unities + Antwort hilfreich

Servus,

Code:
(defun c:ObjektrotationW000 (/ fang om rad obj z)
  (setq z    0
  ) ;_ end setq
  (setvar "osmode" 111); Fangmodi für
; endpunkt,mittelpunkt,punkt,schnittpunkt,zentrum,basispunkt
  (setvar "orthomode" 0); orthomode ausschalten
  (initget 33)
  (setq rad 0
  ) ;_ end setq
  (princ (strcat "\nErmittelter WINKEL = " (angtos rad 0 2)))
  (setq obj (ssget '((-4 . "<OR")
    (0 . "TEXT")
    (0 . "MTEXT")
    (0 . "LINE")
    (0 . "INSERT")
    (0 . "ATTDEF")
    (0 . "XREF")
    (-4 . "OR>")
    )
    ) ;_ end ssget
  ) ;_ end setq
  (repeat (if obj
    (sslength obj)
    0
  ) ;_ end if
    (if
      (/=
0
(cdr (assoc 70 (tblsearch "LAYER" (cdr (assoc 8 (entget (ssname obj z))))))
) ;_ nur wenn layer nicht gesperrt ist !!
      ) ;_ end /=
      (setq z (1+ z))
      (progn
(command
  "_.rotate"
  (ssname obj z)
  ""
  (trans (cdr (assoc 10 (entget (ssname obj z)))) 0 1)
  "_re"
  (atof
    (angtos (if (or (= (cdr (assoc 0 (entget (ssname obj z)))) "TEXT")
    (= (cdr (assoc 0 (entget (ssname obj z)))) "MTEXT")
    (= (cdr (assoc 0 (entget (ssname obj z)))) "INSERT")
    (= (cdr (assoc 0 (entget (ssname obj z)))) "ATTDEF")
) ;_ end or
      (cdr (assoc 50 (entget (ssname obj z))))
      (angle (cdr (assoc 10 (entget (ssname obj z))))
      (cdr (assoc 11 (entget (ssname obj z))))
      ) ;_ end angle
    ) ;_ end if
    0
    4
    ) ;_ end angtos
  ) ;_ end BW:_WINKEL
  (+ (atof (angtos (angle (list 0 0 0) (getvar "ucsxdir")) 0 4))
      (atof (angtos rad 0 4))
  ) ;_ end +
) ;_ end command
(setq z (1+ z))
      ) ;_ end progn
    ) ;_ end if
  ) ;_ end repeat
  (if obj
    (princ "\n...Oki Doki, WINKEL übernommen")
    (princ "\nWie schön...nix zu tun ;-)")
  ) ;_ end if
  (princ)
) ;_ end defun

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. Schöne Grüsse aus der Steiermark  Bernd P.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz